explain_dup_or_die(3)

NAME
explain_dup_or_die - duplicate a file descriptor and report errors

SYNOPSIS
#include <libexplain/dup.h>

void explain_dup_or_die(int fildes);

DESCRIPTION
The explain_dup_or_die function is used to call the dup(2) system call. On failure an explanation will be printed to stderr, obtained from explain_dup(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_dup_or_die(fildes);

fildes
    The fildes, exactly as to be passed to the dup(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

dup(2)
    duplicate a file descriptor

explain_dup(3)
    explain dup(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2008 Peter Miller